/**
 * Divi Video Module
 */


/*! - Playback Toggle */

.theme-js--video--play-toggle {
	opacity: 0.5;
	width:  1.6em;
	height: 1.6em;
	padding: 0.3em;
	font-size: 16px;
	text-align: center;
	vertical-align: middle;
	line-height: 1;
	color:      #fff;
	background: #000;
	border: none;
	border-radius: 2em;
	box-shadow: 0 0 8px rgba(255, 255, 255, 0.25);
	transition: all 0.2s ease;
	cursor: pointer;
}
.theme-js--video--play-toggle:hover,
.theme-js--video--play-toggle:focus,
video.theme--clickable:hover ~ .theme-js--video--play-toggle {
	opacity: 1;
}

.theme-js--video--play-toggle > span {
	display: flex;  /* zaps vertical whitespace from text */
	align-items: center;
	justify-content: center;
}

.theme-js--video--play-toggle .theme--is-paused [class*="fa-"] {
	margin-left: 0.2em;  /* centering adjustment */
}

/* Playing state */
.theme-js--video--play-toggle .theme--is-paused,
.theme-js--video--play-toggle[data-paused="true"] .theme--is-playing {
	display: none;
}

/* Paused state */
.theme-js--video--play-toggle[data-paused="true"] .theme--is-paused {
	display: flex;
}



/*! - Video Module */

.et_pb_video .theme-js--video--play-toggle {
	position: absolute;
	z-index: 2;
	right:  10px;
	bottom: 10px;
}



/*! - Section Background Video */

.et_pb_section_video .theme-js--video--play-toggle {
	position: absolute;
	right:  10px;
	bottom: 10px;
}

@media (min-width: 981px) {
	.et_pb_section_video .theme-js--video--play-toggle {
		right: 20px;
		bottom: 15px;
	}
}
